커서 기반 페이지 매김 및 선택적 상태 필터하다 사용하여 작업 공간에 대한 배포를 나열하기 위해 ECP에 프록시합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
쿼리 매개변수
-
불투명 페이지 커서
-
페이지 크기(1-100, 기본값 20)
-
배포 상태 필터하다 (queueed, in_progress, 정리_업, 성공, 실패, 롤백, 취소됨)
-
이 출시하다 에 제공된 배포를 반환합니다: 자체 아티팩트 배포와 중단되기 전에 도착한 비릴리스 배포를 반환합니다. 롤백은 제외됩니다.
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}/deployments' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"deployments": [
{
"aer_http_endpoint": "string",
"agent_http_endpoint": "string",
"agent_stack_name": "string",
"app_id": "string",
"branch": "string",
"build_id": "string",
"commit_sha": "string",
"completed_at": "string",
"component_images": {
"aer": "string",
"agent": "string",
"memory_server": "string",
"oe": "string",
"tool": "string"
},
"components": [
{
"available": true,
"failure_message": "string",
"failure_reason": "string",
"name": "string",
"ready_replicas": 42,
"replicas": 42,
"sandbox": "string",
"type": "string"
}
],
"conditions": [
{
"last_transition_time": "string",
"message": "string",
"reason": "string",
"status": "string",
"type": "string"
}
],
"created_at": "string",
"deployment_id": "string",
"duration_ms": 42,
"error_message": "string",
"executor_type": "string",
"first_deploy": true,
"health": {
"available": true,
"checked_at": "string",
"components": [
{
"name": "string",
"ready": true,
"ready_replicas": 42,
"sandbox": "string"
}
]
},
"image_uri": "string",
"language": "string",
"last_event_seq": 42,
"memory_enabled": true,
"missing_secrets": [
"string"
],
"operator_namespace": "string",
"org_id": "string",
"post_deploy_error_message": "string",
"previous_image_uri": "string",
"project_deleted": true,
"project_id": "string",
"release_number": 42,
"requested_images": [
{
"component": "string",
"digest": "string",
"sandbox": "string"
}
],
"requested_target_id": "string",
"rollback_error": "string",
"rollback_from_id": "string",
"rollback_of": "string",
"shipped_in_release": "string",
"source_build_id": "string",
"source_project_id": "string",
"source_promotion_id": "string",
"source_workspace_id": "string",
"started_at": "string",
"status": "string",
"target_namespace": "string",
"trigger": "string",
"updated_at": "string",
"version": "string"
}
],
"limit": 42,
"next_cursor": "string",
"offset": 42,
"total": 42
}
응답 예시(200)
{
"deployments": [
{
"aer_http_endpoint": "string",
"agent_http_endpoint": "string",
"agent_stack_name": "string",
"app_id": "string",
"branch": "string",
"build_id": "string",
"commit_sha": "string",
"completed_at": "string",
"component_images": {
"aer": "string",
"agent": "string",
"memory_server": "string",
"oe": "string",
"tool": "string"
},
"components": [
{
"available": true,
"failure_message": "string",
"failure_reason": "string",
"name": "string",
"ready_replicas": 42,
"replicas": 42,
"sandbox": "string",
"type": "string"
}
],
"conditions": [
{
"last_transition_time": "string",
"message": "string",
"reason": "string",
"status": "string",
"type": "string"
}
],
"created_at": "string",
"deployment_id": "string",
"duration_ms": 42,
"error_message": "string",
"executor_type": "string",
"first_deploy": true,
"health": {
"available": true,
"checked_at": "string",
"components": [
{
"name": "string",
"ready": true,
"ready_replicas": 42,
"sandbox": "string"
}
]
},
"image_uri": "string",
"language": "string",
"last_event_seq": 42,
"memory_enabled": true,
"missing_secrets": [
"string"
],
"operator_namespace": "string",
"org_id": "string",
"post_deploy_error_message": "string",
"previous_image_uri": "string",
"project_deleted": true,
"project_id": "string",
"release_number": 42,
"requested_images": [
{
"component": "string",
"digest": "string",
"sandbox": "string"
}
],
"requested_target_id": "string",
"rollback_error": "string",
"rollback_from_id": "string",
"rollback_of": "string",
"shipped_in_release": "string",
"source_build_id": "string",
"source_project_id": "string",
"source_promotion_id": "string",
"source_workspace_id": "string",
"started_at": "string",
"status": "string",
"target_namespace": "string",
"trigger": "string",
"updated_at": "string",
"version": "string"
}
],
"limit": 42,
"next_cursor": "string",
"offset": 42,
"total": 42
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}